model VanDerPol 
  parameter Real epsilon=20;
  Real y[2];
  Real delta_t;
  Real eigenV[2,2];
initial equation 
  y[1]=1;
  y[2]=-1;
equation 
  der(y[1]) = y[2];
  der(y[2]) = epsilon*(1 - y[1]*y[1])*y[2] - y[1];
  eigenV=Matrices.eigenValues([                     0, 1;
                               -2*epsilon*y[1]*y[2]-1, epsilon*(1-y[1]*y[1])]);
  
  delta_t=max(-2*eigenV[1,1]/(eigenV[1,:]*eigenV[1,:]),
              -2*eigenV[2,1]/(eigenV[2,:]*eigenV[2,:]));
  annotation (uses(
      Matrices(version="0.8"),
      Modelica(version="1.6"),
      Vectors(version="0.8")));
end VanDerPol;
