package Interfaces 
  partial model Tire 
    Modelica.Mechanics.Rotational.Interfaces.Flange_a hub 
      annotation (extent=[-10, -10; 10, 10]);
    annotation (Icon(
        Ellipse(extent=[-80, 80; 80, -80], style(
            color=0,
            thickness=2,
            fillColor=9,
            fillPattern=10)),
        Ellipse(extent=[-72, 72; 72, -72], style(
            color=0,
            thickness=2,
            fillColor=0)),
        Ellipse(extent=[-58, 58; 58, -58], style(
            color=0,
            thickness=2,
            fillColor=8))), Diagram(
        Line(points=[0, 60; 0, 20], style(color=1, fillColor=1)),
        Polygon(points=[0, 20; 2, 26; -2, 26; 0, 20], style(
            color=1,
            fillColor=1,
            fillPattern=1)),
        Line(points=[20, 0; 60, 0], style(
            color=1,
            fillColor=1,
            fillPattern=1)),
        Polygon(points=[20, 0; 26, 2; 26, -2; 20, 0], style(
            color=1,
            fillColor=1,
            fillPattern=1))));
    LongitudinalTireMotion motion annotation (extent=[70, 70; 90, 90]);
  end Tire;
  
  connector LongitudinalTireMotion 
    Modelica.SIunits.Position tire_elevation 
      "Elevation of the tire (above a reference plane)";
    Modelica.SIunits.Position vehicle_position 
      "Position of vehicle along longitudinal vehicle path";
    flow Modelica.SIunits.Force weight "Weight applied to this tire";
    flow Modelica.SIunits.Force acc_force 
      "Accelerating force contribution from this tire";
    annotation (Icon(
        Rectangle(extent=[-100, 100; 100, -100], style(color=58, fillColor=
                7)),
        Rectangle(extent=[-20, 80; 20, 40], style(
            color=58,
            fillColor=58,
            fillPattern=1)),
        Rectangle(extent=[40, 20; 80, -20], style(
            color=58,
            fillColor=58,
            fillPattern=1)),
        Ellipse(extent=[-20, 20; 20, -20], style(
            color=0,
            fillColor=0,
            fillPattern=1)),
        Rectangle(extent=[-80, -40; 80, -80], style(
            color=0,
            fillColor=9,
            fillPattern=1)),
        Rectangle(extent=[-62, -58; -22, -62], style(
            color=0,
            fillColor=7,
            fillPattern=1)),
        Rectangle(extent=[22, -58; 62, -62], style(
            color=0,
            fillColor=7,
            fillPattern=1))));
  end LongitudinalTireMotion;
  
  model Body 
    LongitudinalTireMotion right_front 
      annotation (extent=[-70, 70; -50, 90]);
    annotation (Diagram, Icon(
        Rectangle(extent=[-70, 60; -50, 52], style(
            pattern=0,
            fillColor=0,
            fillPattern=1)),
        Rectangle(extent=[-70, -52; -50, -60], style(
            pattern=0,
            fillColor=0,
            fillPattern=1)),
        Rectangle(extent=[50, 60; 70, 52], style(
            pattern=0,
            fillColor=0,
            fillPattern=1)),
        Rectangle(extent=[50, -52; 70, -60], style(
            pattern=0,
            fillColor=0,
            fillPattern=1)),
        Line(points=[-60, 70; -60, 60], style(
            color=0,
            fillColor=0,
            fillPattern=1)),
        Line(points=[60, 70; 60, 60], style(
            color=0,
            fillColor=0,
            fillPattern=1)),
        Line(points=[-60, -60; -60, -70], style(
            color=0,
            fillColor=0,
            fillPattern=1)),
        Line(points=[60, -60; 60, -70], style(
            color=0,
            fillColor=0,
            fillPattern=1))));
    LongitudinalTireMotion left_front 
      annotation (extent=[-70, -90; -50, -70]);
    LongitudinalTireMotion right_rear annotation (extent=[50, 70; 70, 90]);
    LongitudinalTireMotion left_rear annotation (extent=[50, -90; 70, -70]);
    Modelica.Mechanics.Translational.Interfaces.Flange_a vehicle 
      annotation (extent=[-10, -10; 10, 10]);
  end Body;
end Interfaces;
