package BaseClasses 
  partial model BaseEngine 
    "Baseclass for an engine described in terms of speed and load" 
    extends VehicleSystems.Interfaces.Subsystems.Powerplant;
  protected 
    Modelica.SIunits.Torque tau;
    Modelica.SIunits.AngularVelocity omega;
    Real rpm;
    Modelica.SIunits.Power engine_power;
  equation 
    tau + crankshaft.tau + accessory_drive.tau = 0 "Momentum balance";
    accessory_drive.phi = crankshaft.phi "Rigid crankshaft";
    driver_bus.accelerator_pedal.f = 0 "No reaction force on pedal";
    omega = der(crankshaft.phi) "Engine speed";
    rpm = omega*30/Modelica.Constants.pi;
    engine_power = tau*omega;
  end BaseEngine;
end BaseClasses;
