package Interfaces 
  partial model Gearbox 
    "Transmission from clutch or torque converter to final drive ratio" 
  protected 
    replaceable connector TransmissionMount = VehicleSystems.Interfaces.PTMount;
    replaceable connector ShiftControls = 
        VehicleSystems.Interfaces.ShiftInterface;
    replaceable connector TransmissionBus = VehicleSystems.Interfaces.Bus;
    replaceable connector DriverBus = VehicleSystems.Interfaces.Bus;
    replaceable model Environment = 
        VehicleSystems.Implementations.Null.Environment 
       extends 
      VehicleSystems.Interfaces.Subsystems.EnvironmentSubsystem.Environment;
    replaceable connector ElectricalBus = 
        VehicleSystems.Interfaces.ElectricalBus 
      annotation (choicesAllMatching=true);
  public 
    TransmissionMount transmission_mounts 
      "Physical connection to the transmission housing" 
      annotation (extent=[-10, -110; 10, -90]);
    Modelica.Mechanics.Rotational.Interfaces.Flange_b turbine_shaft 
      "Shaft at which torque is supplied" 
      annotation (extent=[-110, -10; -90, 10]);
    ElectricalBus power "Connection to the vehicle electrical system" 
      annotation (extent=[90, -110; 110, -90]);
    Modelica.Mechanics.Rotational.Interfaces.Flange_b output_shaft 
      "Shaft to which torque is delivered" 
      annotation (extent=[90, -10; 110, 10]);
    
    inner TransmissionBus transmission_bus annotation (extent=[-10,90; 10,110]);
    annotation (Diagram, Icon);
    outer Environment environment annotation (extent=[-100, -100; -80, -80]);
    inner DriverBus driver_bus annotation (extent=[-70,90; -50,110]);
  end Gearbox;
end Interfaces;
