partial model Electrical "Vehicle electronics subsystem" 
  extends VehicleSystems.Icons.Electrical;
  extends VehicleSystems.Interfaces.Subsystems.Electrical;
  annotation (Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Electrical subsystem is defined as a subsystem that distributes electrical voltage, current and power to the whole vehicle.
</p>
<p>
The Electrical subsystem has the capacity to accept electrical loads for the purpose of modifying its internal states, whilst also producing electrical loads of its own for use by other subsystems.  Additionally, it has the capacity to accept electrical control signals for the purpose of modifying its internal states, whilst also producing electrical control signals of its own for use by other subsystems.
</p>
<p>
It is sufficient to consider the Electrical subsystem as a black box subsystem with a controller for connection to the Controller Bus, and a plant with the capability to receive and distribute electrical loads throughout the vehicle as shown in Figure 6.3.1.
</p>
</html>
"), Diagram(
      Rectangle(extent=[-70, 40; 60, -50], style(
          color=0,
          fillColor=8,
          fillPattern=1)),
      Polygon(points=[-70, 40; -60, 60; 72, 60; 72, -30; 60, -50; 60, 40; -70,
            40], style(
          color=0,
          fillColor=8,
          fillPattern=1)),
      Line(points=[72, 60; 60, 40], style(
          color=0,
          fillColor=8,
          fillPattern=1)),
      Rectangle(extent=[-46, 52; -32, 46], style(
          color=0,
          gradient=1,
          fillColor=8)),
      Rectangle(extent=[34, 52; 48, 46], style(
          color=0,
          gradient=1,
          fillColor=8)),
      Rectangle(extent=[-48, 56; -30, 52], style(
          color=0,
          gradient=1,
          fillColor=1)),
      Rectangle(extent=[32, 56; 50, 52], style(
          color=0,
          gradient=1,
          fillColor=10)),
      Line(points=[-40, 56; -40, 80; 0, 80], style(
          color=1,
          thickness=4,
          fillColor=1,
          fillPattern=1)),
      Line(points=[10, 80; 40, 80; 40, 56], style(
          color=0,
          thickness=4,
          fillColor=1,
          fillPattern=1)),
      Text(
        extent=[-70, 22; 60, -4],
        string="Electrical power supply connection (electrical)",
        style(color=1)),
      Line(points=[0, 18; 0, 66; 0, 68], style(color=1, arrow=1))));
end Electrical;
