partial model Environment "Model to represent environmental/ambient conditions" 
  
  extends VehicleSystems.Icons.Environment;
  extends VehicleSystems.Interfaces.Subsystems.Environment;
  annotation (Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Environment is defined as a subsystem that provides the vehicle with external inputs dependent on its global position and speed as well as ambient and road conditions.
</p>
<p>
It is sufficient to consider the Environment as a black box subsystem that provides each vehicle road-wheel with local road topology/condition inputs as shown in Figure 6.2.1.  The Environment is also capable of providing continuous information on ambient air conditions and wind velocity.
</p>
</html>
"));
end Environment;
