model PowerTerminals 
  "This component can be used to mux/demux the Wire connector" 
  annotation (Diagram, Icon(
      Rectangle(extent=[-100, 100; 100, -100], style(color=0, fillColor=7)),
      Line(points=[-80, -10; -80, -40; 70, -40], style(
          color=0,
          thickness=4,
          fillPattern=1)),
      Line(points=[-80, 0; -80, 40; 70, 40], style(
          color=1,
          thickness=4,
          fillPattern=1)),
      Rectangle(extent=[78, 68; 80, 54], style(
          pattern=0,
          fillColor=1,
          fillPattern=1)),
      Rectangle(extent=[72, 62; 86, 60], style(
          pattern=0,
          fillColor=1,
          fillPattern=1)),
      Rectangle(extent=[74, -60; 88, -62], style(
          pattern=0,
          fillColor=0,
          fillPattern=1))));
  Wire wire annotation (extent=[-90, -10; -70, 10]);
  Modelica.Electrical.Analog.Interfaces.PositivePin power 
    annotation (extent=[70, 30; 90, 50]);
  Modelica.Electrical.Analog.Interfaces.NegativePin ground 
    annotation (extent=[70, -50; 90, -30]);
equation 
  wire.V = power.v;
  wire.i = power.i;
  wire.Vg = ground.v;
  wire.ig = ground.i;
end PowerTerminals;
