partial model Powerplant "Definition for the vehicle powerplant" 
protected 
  connector StandardDriverBus 
    extends VehicleSystems.Interfaces.Bus;
    Modelica.Mechanics.Translational.Interfaces.Flange_a accelerator_pedal;
  end StandardDriverBus;
  replaceable connector DriverBus = StandardDriverBus extends 
    VehicleSystems.Interfaces.Bus                                                annotation (
      choicesAllMatching =                                                           true);
  replaceable connector PowerplantMount = VehicleSystems.Interfaces.PTMount 
                                                                 annotation (
      choicesAllMatching=true);
  replaceable connector PowerplantBus = VehicleSystems.Interfaces.Bus 
                                                           annotation (
      choicesAllMatching=true);
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment 
      annotation (choicesAllMatching=true);
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
public 
  Modelica.Mechanics.Rotational.Interfaces.Flange_b crankshaft 
    "This is the physical connection for output engine torque." 
    annotation (extent=[90, -10; 110, 10]);
  PowerplantMount powerplant_mounts 
    "This is the physical connection to the engine mounts" 
    annotation (extent=[-10, -110; 10, -90]);
  ElectricalBus power "Connection from the vehicle electrical system" 
    annotation (extent=[-110, -110; -90, -90], style(color=0));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b accessory_drive 
    "Front-end accessory drive" annotation (extent=[-110, -10; -90, 10]);
  
  inner PowerplantBus powerplant_bus annotation (extent=[-30, 90; -10, 110]);
  annotation (Diagram, Icon);
  outer Environment environment annotation (extent=[80, -100; 100, -80]);
  inner DriverBus driver_bus 
    annotation (extent=[50,90; 70,110]);
end Powerplant;
